function addScaleObject(object, scale, delay, easing)
   
	local size = tonumber(scale)/ 100
	  	
	object :to(delay, {Scale = size}, easing)
						
	
end
registerActionPart('SCALE_OBJECT',function(activeAction, actionPart)
	addScaleObject(actionPart.Link, actionPart.Int, actionPart.AltInt, actionPart.AltInt2)
	return false -- end of action
end)

function addRotateObjectBy(object, degrees, delay, easing)
    
	object :to(delay, {Rotation = object.Rotation + math.rad(degrees)}, easing)
				
end
registerActionPart('ROTATE_OBJECT_BY',function(activeAction, actionPart)
	addRotateObjectBy(actionPart.Link, actionPart.Int, actionPart.AltInt, actionPart.AltInt2)
	return false -- end of action
end)

function addRotateObjectTo(object, degrees, easing, loop, s)
    local delay = tonumber(s:match "%d+")
    if delay == nil then delay = 0 end	
	
	object :to(delay, {Rotation = math.rad(degrees)}, easing, loop > 0, loop == 2)
			
end
registerActionPart('ROTATE_OBJECT_TO',function(activeAction, actionPart)
	addRotateObjectTo(actionPart.Link, actionPart.Int, actionPart.AltInt, actionPart.AltInt2, actionPart.String)
	return false -- end of action
end)

function addRotationCenter(object, pos_x, pos_y)
    
	object.RotationCenter = {x = pos_x, y = pos_y}	

end
registerActionPart('SET_ROTATION_CENTER',function(activeAction, actionPart)
	addRotationCenter(actionPart.Link, actionPart.Int, actionPart.AltInt)
	return false -- end of action
end)
